### Function

# Gck Attribute new_string

#### Declaration [src]

    GckAttribute*
    gck_attribute_new_string (
      gulong attr_type,
      const gchar* value
    )

#### Description [src]

Initialize a PKCS#11 attribute to a string. This will result in an attribute containing the text, but not the null terminator. The text in the attribute will be of the same encoding as you pass to this function.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

`value`

  Type: `const gchar*`

  The null-terminated string value of the attribute.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GckAttribute`

The new attribute; when done with the attribute u `gck_attribute_free()` to free it.

The caller of the function takes ownership of the data, and is responsible for freeing it.